
From: Jeff Dike <jdike@addtoit.com>

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-um/pgtable.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN include/asm-um/pgtable.h~uml-fix-__pud_alloc-definition-to-match-the-declaration include/asm-um/pgtable.h
--- 25/include/asm-um/pgtable.h~uml-fix-__pud_alloc-definition-to-match-the-declaration	2005-01-16 23:27:59.442614984 -0800
+++ 25-akpm/include/asm-um/pgtable.h	2005-01-16 23:27:59.446614376 -0800
@@ -9,6 +9,7 @@
 #define __UM_PGTABLE_H
 
 #include "linux/sched.h"
+#include "linux/linkage.h"
 #include "asm/processor.h"
 #include "asm/page.h"
 #include "asm/fixmap.h"
@@ -154,8 +155,8 @@ extern pte_t * __bad_pagetable(void);
 #define pud_newpage(x)  (pud_val(x) & _PAGE_NEWPAGE)
 #define pud_mkuptodate(x) (pud_val(x) &= ~_PAGE_NEWPAGE)
 
-static inline pud_t *__pud_alloc(struct mm_struct *mm, pgd_t *pgd,
-				 unsigned long addr)
+static inline pud_t fastcall *__pud_alloc(struct mm_struct *mm, pgd_t *pgd,
+					  unsigned long addr)
 {
 	BUG();
 }
_
